Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 201690 - Stabilise net-nds/openldap-2.3.39-r2 (was: replace docert with install_cert in pkg_postinst)
Summary: Stabilise net-nds/openldap-2.3.39-r2 (was: replace docert with install_cert i...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LDAP Herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 174759
  Show dependency tree
 
Reported: 2007-12-08 14:51 UTC by Robert Buchholz (RETIRED)
Modified: 2008-01-13 22:38 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
replaced docert with install_cert (openldap-2.3.39-r1.ebuild.diff,520 bytes, patch)
2007-12-24 08:11 UTC, Andy Kraut
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Buchholz (RETIRED) gentoo-dev 2007-12-08 14:51:22 UTC
Due to a change in ssl-cert.eclass, the docert function has to be
renamed to install_cert (bug 174759).

Please update the package mentioned in this bug's title to use the new
"install_cert" function, and use it only in your pkg_postinst or
pkg_config.

This bug is for keeping track of specific changes to your ebuilds
and stabling, general questions about this should be discussed in
bug 174759.

Our aim is to have fixed ebuilds in the tree by Dec. 23rd, otherwise
we will commit this minor change. Stabling should be done two weeks after the
commit, at last around Jan, 6th.
Comment 1 Ulrich Müller gentoo-dev 2007-12-23 11:15:57 UTC
> Our aim is to have fixed ebuilds in the tree by Dec. 23rd, otherwise
> we will commit this minor change.

Just a reminder; I would prefer if package maintainers fixed this for their packages. So I'll wait for another week before committing the change myself.
Comment 2 Andy Kraut 2007-12-24 08:11:13 UTC
Created attachment 139232 [details, diff]
replaced docert with install_cert

I know I'm not the maintainer, but this will convert docert to install_cert
Comment 3 Ulrich Müller gentoo-dev 2007-12-24 10:36:08 UTC
(In reply to comment #2)
> Created an attachment (id=139232) [edit]
> replaced docert with install_cert

Thanks for the patch. However, the following should be changed as well:
- "insinto" is no longer necessary
- "insopts" must be replaced by "chown" and "chmod" (after install_cert)
Comment 4 Ulrich Müller gentoo-dev 2007-12-27 11:33:23 UTC
Fixed in 2.3.39-r2.
Leaving this bug open, stabilisation will follow around 2008-W02.
Comment 5 Ulrich Müller gentoo-dev 2008-01-09 09:56:44 UTC
(In reply to comment #4)
> Fixed in 2.3.39-r2.
> Leaving this bug open, stabilisation will follow around 2008-W02.

@Arch teams: please stabilise net-nds/openldap-2.3.39-r2.

@LDAP team (jokey): Great, you reintroduced "docert" in 2.3.40. :( Please fix it again and revbump to 2.3.40-r1.
Comment 6 Christian Faulhammer (RETIRED) gentoo-dev 2008-01-09 14:40:57 UTC
x86 stable
Comment 7 Jeroen Roovers (RETIRED) gentoo-dev 2008-01-09 16:01:36 UTC
Stable for HPPA.
Comment 8 Brent Baude (RETIRED) gentoo-dev 2008-01-09 17:28:07 UTC
ppc64 and ppc done
Comment 10 Raúl Porcel (RETIRED) gentoo-dev 2008-01-10 17:44:12 UTC
alpha/ia64 stable

arm/sh/s390 and sparc were already stable
Comment 11 Markus Ullmann (RETIRED) gentoo-dev 2008-01-13 22:17:22 UTC
Amd64 stable with welps permission, last arch -> closing 
Comment 12 Ulrich Müller gentoo-dev 2008-01-13 22:38:23 UTC
Old revisions removed. All done here.